<?php
	$uri = 'localizaciones_jerarquicas.php';	
	include_once($uri);
	//Tipo De Consulta (1,2,3....)
	$case = $_POST['case'];

	switch($case)
	{
		// Nuevo Sucursal
		case 1:	
			$parametros = array(
				"numero"=>$_POST['numero'],
				"nombre"=>$_POST['nombre'],
				"tipo_localizacion_jerarquica_id"=>$_POST['tipo_localizacion_jerarquica_id'],		
				"localizacion_jerarquica_padre_id"=>$_POST['localizacion_jerarquica_padre_id']		
			);	
		break;
		// Editar	
		case 2:				
			$parametros = array(
				"id"=>$_POST['id'],
				"numero"=>$_POST['numero'],
				"nombre"=>$_POST['nombre'],
				"tipo_localizacion_jerarquica_id"=>$_POST['tipo_localizacion_jerarquica_id'],		
				"localizacion_jerarquica_padre_id"=>$_POST['localizacion_jerarquica_padre_id']				
			);	
		break;
		// Eliminar	
		case 3:			
			$parametros = array(
				"LocalizacionJerarquicaID"=>$_POST['LocalizacionJerarquicaID']		
			);	
		break;
		// Verificar Numero de localizacion jerarquica
		case 4:	
			$parametros = array(
				"numero"=>$_POST['numero'],
				"tipo"=>$_POST['tipo']		
			);	
		break;
		// Verificar Nombre de localizacion jerarquica	
		case 5:	
			$parametros = array(
				"nombre"=>$_POST['nombre'],
				"tipo"=>$_POST['tipo']		
			);	
		break;		
		// Verificar operador del monitor asociado a la sucursal.
		case 6:	
			$parametros = array(
				"id"=>$_POST['id']	
			);	
		break;
		// Verificar operador del monitor asociado a la sucursal.
		case 7:	
			$parametros = array(
				"id"=>$_POST['id']	
			);	
		break;		
				
	}
	
	$localizaciones_jerarquicas = new localizaciones_jerarquicas();	
	switch($case){
		case 1: 				
			echo $localizaciones_jerarquicas->nuevo($parametros);				
			break;
		case 2: 				
			echo $localizaciones_jerarquicas->editar($parametros);				
			break;
		case 3: 				
			echo $localizaciones_jerarquicas->eliminar($parametros);					
			break;	
		case 4: 			
			echo $localizaciones_jerarquicas->verificarNumeroLocalizacionJerarquica($parametros);				
			break;
		case 5: 				
			echo $localizaciones_jerarquicas->verificarNombreLocalizacionJerarquica($parametros);				
			break;
		case 6: 				
			echo $localizaciones_jerarquicas->verificarOperadorAsociado($parametros);				
			break;
		case 7: 				
			echo $localizaciones_jerarquicas->verificarDistritoAsociado($parametros);				
			break;
	}//Cierro el IF
?>